Initiate = false
MyTime = 0

function onInit()
	_SWEPSetSound( MyIndex, "single_shot", "Weapon_M249.Single" )
end

function onThink()
	if not Initate then
		if MyTime > 5 then
			Initiate = true
			Deploy()
		else
			MyTime = MyTime+1
		end
	end
end

function onPickup(playerid)
	_PlayerSetMaxSpeed(playerid, 150)
	_PlayerEnableSprint(playerid, false)
end

function Deploy()
	_PlayerSetMaxSpeed(Owner, 150)
	_PlayerEnableSprint(Owner, false)
end

function getDamage() return 2.8 end
function getPrimaryShotDelay() return 0.09 end
function getPrimaryIsAutomatic() return true end
function getBulletSpread() return vector3(0.045, 0.045, 0.045) end
function getViewKick() return vector3(0.31, 0.21, 0.21) end
function getViewKickRandom() return vector3(0.52, 0.42, 0.22) end
function getNumShotsPrimary() return 2 end
function getPrimaryAmmoType() return "pistol" end
function getMaxClipPrimary()return 150 end
function getDefClipPrimary()return 9999 end
function getTracerFreqPrimary() return 1 end
function getDamageSecondary() return 10 end
function getSecondaryShotDelay() return 0.2 end
function getSecondaryIsAutomatic() return false end
function getBulletSpreadSecondary() return vector3(0.001, 0.001, 0.001) end
function getViewKickSecondary() return vector3(0.5, 0.0, 0.0) end
function getViewKickRandomSecondary() return vector3(0.5, 0.5, 0.2) end
function getNumShotsSecondary() return 1 end
function getSecondaryAmmoType() return "pistol" end
function getMaxClipSecondary() return -1 end
function getDefClipSecondary() return 0 end
function getTracerFreqSecondary() return 2 end
function getViewModel() return "models/weapons/v_mach_m249para.mdl" end
function getWorldModel() return "models/weapons/w_mach_m249para.mdl" end
function getClassName() return "juggernaut_vulcan" end
function getHUDMaterial() return "gmod/SWEP/default" end
function getDeathIcon() return "d_M249" end
function getWeaponSwapHands() return false end
function getWeaponFOV() return 70 end
function getWeaponSlot() return 3 end
function getWeaponSlotPos() return 2 end
function getFiresUnderwater() return true end
function getReloadsSingly() return false end
function getAnimPrefix() return "shotgun" end
function getPrintName() return "Juggernaut Vulcan" end
function getPrimaryScriptOverride() return 0 end
function getSecondaryScriptOverride() return 3 end
